<?php 
// ArwShop Market v3.3.19 Copyright (c) Igor Anikeev ( https://webnav.link/ ) 2006 - 2024.
?><?php
if(! defined('SYS_LOADER')){die();}

 for($i=0;$i<1;$i++){

 $_POST['sql_host'] = trim($_POST['sql_host']);
 $_POST['sql_username'] = trim($_POST['sql_username']);
 $_POST['sql_password'] = trim($_POST['sql_password']);
 $_POST['sql_db_name'] = trim($_POST['sql_db_name']);
 $_POST['sql_db_prefix'] = trim($_POST['sql_db_prefix']);
  if(empty($_POST['sql_db_prefix'])){
  $_POST['sql_db_prefix'] = 'arwm_';
  }

 $db_conn = array();
 $db_conn['host'] = $_POST['sql_host'];
 $db_conn['user'] = $_POST['sql_username'];
 $db_conn['psw'] = $_POST['sql_password'];
 $db_conn['dbname'] = $_POST['sql_db_name'];
 $db_conn['db_prefix'] = $_POST['sql_db_prefix'];
 $db_conn['mysql_charset'] = '';

  if(! empty($_POST['mysql_charset']) && $_POST['mysql_charset'] !== 'DEFAULT'){
  $db_conn['mysql_charset'] = $_POST['mysql_charset'];
  }

  if(file_exists(INC_DIR."/db_mysql.php")){
  require_once(INC_DIR."/db_mysql.php");
  }
  else{
  die(inst_fatal_err("Can't require ".INC_DIR."/db_mysql.php"));
  }

 $db = new db($db_conn);

  if(DEBUG_MODE == 1){
  echo '<hr>';
  echo '$_POST:<br>';
  print_r($_POST);
  echo '<hr>';
  echo '<p>Connecting to MySQL...</p>';
  }
 
 $dbh = @$db->connect($db_conn);

  if(DEBUG_MODE == 1){
  echo "<p>MySQL connect handler=$dbh</p>";
  }

  if(empty($dbh)){
  $err_msg = "<font class=\"red\">$lang[cannot_conn_to_sqlserver] \"$db_conn[host]\" $lang[with_the_use_username] \"$db_conn[user]\" $lang[and_password] \"$db_conn[psw]\". $lang[check_sqlservername]</font><br><br>";

   if(file_exists(INSTALL_DIR."/step3.php")){
   include(INSTALL_DIR."/step3.php");
   }
   else{
   die(inst_fatal_err("Can't include ".INSTALL_DIR."/step3.php"));
   }

  break;
  }



 $mysqlversion = $db->sql_server_version();

  if(DEBUG_MODE == 1){
  echo "<p>MySQL version=$mysqlversion</p>";
  }


  $select_db_result = false;
  
   if($db_conn['dbname']){
   $select_db_result = $db->select_db($db_conn['dbname']);
   }
  
  if(! $select_db_result && $db_conn['dbname']){
  @$db->query("CREATE DATABASE `$db_conn[dbname]`");
  $select_db_result = $db->select_db($db_conn['dbname']);
  }

  if(DEBUG_MODE == 1){
  echo "<p>Select DB result=$select_db_result</p>";
  }


  custom::get_lang('sys_requirements');
  require_once(INC_DIR."/sys_requirements.php");
   if(! sys_req::check_sys_requirements($lang, $db)){
   $err_msg = inst_fatal_err(sys_req::last_error());
   include(INSTALL_DIR."/step3.php");
   break;
   }


  if(! $select_db_result){
  $err_msg = "<span class=\"red\">$lang[cannot_conn_to_db] \"$db_conn[dbname]\". $lang[check_sqldbname]</span><br><br>";
  include(INSTALL_DIR."/step3.php");
  break;
  }



 if(! empty($_POST['del_existing_tables'])){
 @delete_tables($db_conn['db_prefix']);
 }


 if($db_conn['mysql_charset']){
  if(tables_quantity($db_conn['dbname']) == 0){
  $res = @$db->query("SHOW CHARACTER SET");
  $collation = '';

   if($res){
    while($row = @$db->fetch_array($res)){
     if($row['Charset'] === $db_conn['mysql_charset']){
     $collation = $row['Default collation'];
     }
    }
   }
  
   if($collation){
   $collation = "COLLATE '$collation'";
   }

  @$db->query("ALTER DATABASE `$db_conn[dbname]` DEFAULT CHARACTER SET '$db_conn[mysql_charset]' $collation");
  }
 }



 if(! empty($_POST['set_demo_data'])){
 $sql_file = 'inst_demo.si';
 }
 else{
 $sql_file = 'inst_empty.si';
 }


 if(! @inst_execSqlfile(INSTALL_DIR."/$sql_file", $db_conn['db_prefix'])){
 $err_msg = "<font class=\"red\">Can't set SQL file to database! Probably, database connection failed.<br>$lang[check_sqlservername]<br>$lang[check_sqldbname]</font><br><br>";

   if(file_exists(INSTALL_DIR."/step3.php")){
   include(INSTALL_DIR."/step3.php");
   }
   else{
   die(inst_fatal_err("Can't include ".INSTALL_DIR."/step3.php"));
   }

  break;
 }

?>
<h3><?php echo $lang['tables_created']; ?></h3>
<?php

set_db_data();

 if(file_exists(INC_DIR."/admin/admin_lib.php")){
 require_once(INC_DIR."/admin/admin_lib.php");
 }
 else{
 die(inst_fatal_err("Can't require ".INC_DIR."/admin/admin_lib.php"));
 }

$admin_lib=new admin_lib;
if(substr($_POST['new_sett']['url'], strlen($_POST['new_sett']['url'])-1)!=='/'){$_POST['new_sett']['url'].='/';}
$_POST['new_sett']['index_text'] = md5(mt_rand(0,999999) . mt_rand(0, 999999));
$_POST['new_sett']['index_text'] = base64_encode( substr($_POST['new_sett']['index_text'], 0, 8) );
$_POST['new_sett']['sm_config'] = sgindt();
$_POST['new_sett']['db_version'] = $custom->floatVersion();
$_POST['new_sett']['email'] = trim($_POST['email']);
$admin_lib->save_settings(2, $_POST['new_sett'], 0);

$ck = md5(mt_rand(0,999999) . mt_rand(0, 999999));
$ck = base64_encode( substr($ck, 0, 8) );
$tbl=$db_conn['db_prefix'].'wm_merchant_conf';
$db->query("UPDATE $tbl SET `svalue` = '$ck' WHERE `sname` = 'ck'") or die($db->error());

$connection_info="<?php\n";
$connection_info.="\$db_conn=array();\n";
$connection_info.="\$db_conn['host']='$db_conn[host]';\n";
$connection_info.="\$db_conn['user']='$db_conn[user]';\n";
$connection_info.="\$db_conn['psw']='$db_conn[psw]';\n";
$connection_info.="\$db_conn['dbname']='$db_conn[dbname]';\n";
$connection_info.="\$db_conn['db_prefix']='$db_conn[db_prefix]';\n";
$connection_info.='?>';

 if(! @write_connection_info($connection_info)){
 echo "$lang[make_file] fs.php $lang[in_folder]<br><textarea cols=\"60\" rows=\"18\">$connection_info</textarea><br><br>";
 }

?>
<?php echo $lang['delete_install']; ?>.<br><br><?php echo $lang['after_actions']; ?> <a href="../admin.php" target="_blank"><?php echo $lang['admin_panel']; ?></a>, <?php echo $lang['and_continue_tuning']; ?>.<br><br>
<?php
$db->close_connection();




 }
?>
